Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 225709 - app-text/pdftk-1.41 + gcc/gcj 4.3 - Exception in thread "main" java.io.IOException: can't find class file java_local/security/Provider.class
Summary: app-text/pdftk-1.41 + gcc/gcj 4.3 - Exception in thread "main" java.io.IOExce...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: AMD64 Linux
: High normal (vote)
Assignee: Printing Team
URL:
Whiteboard:
Keywords:
: 234786 235645 (view as bug list)
Depends on: 251796
Blocks: gcc-4.3
  Show dependency tree
 
Reported: 2008-06-10 07:50 UTC by Andreas Klauer
Modified: 2009-04-26 07:13 UTC (History)
13 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge error log (app-text:pdftk-1.41:20080803-183344.log,43.34 KB, text/plain)
2008-08-03 18:36 UTC, Andreas Klauer
Details
pdftk build log (pdftk-1.41_build.log,43.58 KB, text/plain)
2008-08-14 09:44 UTC, Christian Schwinn
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Klauer 2008-06-10 07:50:30 UTC
>>> Emerging (1 of 1) app-text/pdftk-1.41 to /
 * pdftk-1.41.tar.gz RMD160 SHA1 SHA256 size ;-) ...                                                                                                                              [ ok ]
 * checking ebuild checksums ;-) ...                                                                                                                                              [ ok ]
 * checking auxfile checksums ;-) ...                                                                                                                                             [ ok ]
 * checking miscfile checksums ;-) ...                                                                                                                                            [ ok ]
 * checking pdftk-1.41.tar.gz ;-) ...                                                                                                                                             [ ok ]
>>> Unpacking source...
>>> Unpacking pdftk-1.41.tar.gz to /var/tmp/portage/app-text/pdftk-1.41/work
>>> Source unpacked.
>>> Compiling source in /var/tmp/portage/app-text/pdftk-1.41/work/pdftk-1.41/pdftk ...
make -C ../java_libs
make[1]: Entering directory `/var/tmp/portage/app-text/pdftk-1.41/work/pdftk-1.41/java_libs'
make -C "/var/tmp/portage/app-text/pdftk-1.41/work/pdftk-1.41/java_libs/gnu_local/java/security";
make[2]: Entering directory `/var/tmp/portage/app-text/pdftk-1.41/work/pdftk-1.41/java_libs/gnu_local/java/security'
gcj  --encoding=UTF-8 --classpath="/var/tmp/portage/app-text/pdftk-1.41/work/pdftk-1.41/java_libs" -c Engine.java -o Engine.o
gcj: error trying to exec 'ecj1': execvp: No such file or directory
make[2]: *** [Engine.o] Error 1
make[2]: Leaving directory `/var/tmp/portage/app-text/pdftk-1.41/work/pdftk-1.41/java_libs/gnu_local/java/security'
make[1]: *** [libgcj_local] Error 2
make[1]: Leaving directory `/var/tmp/portage/app-text/pdftk-1.41/work/pdftk-1.41/java_libs'
make: *** [java_libs] Error 2
 * 
 * ERROR: app-text/pdftk-1.41 failed.



Reproducible: Always




Portage 2.1.5.4 (default/linux/amd64/2008.0/desktop, gcc-4.3.1, glibc-2.8_p20080602-r0, 2.6.25.5 x86_64)
=================================================================
System uname: 2.6.25.5 x86_64 Intel(R) Core(TM)2 Duo CPU E8400 @ 3.00GHz
Timestamp of tree: Mon, 09 Jun 2008 18:45:01 +0000
ccache version 2.4 [enabled]
app-shells/bash:     3.2_p39
dev-java/java-config: 1.3.7, 2.1.6
dev-lang/python:     2.5.2-r4
dev-util/ccache:     2.4-r7
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.2.5
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.62
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1-r1
sys-devel/binutils:  2.18-r1
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   2.2.4
virtual/os-headers:  2.6.25-r4
ACCEPT_KEYWORDS="amd64 ~amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=core2 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK=""
CXXFLAGS="-march=core2 -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="ccache distlocks parallel-fetch sandbox sfperms strict unmerge-orphans"
GENTOO_MIRRORS="http://de-mirror.org/distro/gentoo/ http://ftp-stud.fht-esslingen.de/pub/Mirrors/gentoo/ http://ftp.uni-erlangen.de/pub/mirrors/gentoo"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/root"
SYNC="rsync://rsync.de.gentoo.org/gentoo-portage"
USE="3ds X Xaw3d a52 aac aalib acpi alsa amd64 amr anthy ao apic asf audiofile berkdb bigger-fonts bluetooth branding browserplugin bzip2 cairo canna cdda cddb cdr cid cjk cli cmov cracklib crypt css ctype cups custom-cflags cx8 dbus de dga divx divx4linux dri dts dv dvd dvdr dvdread emboss encode eurofile evo expat fam fame ffmpeg firefox flac font-server fortran fpu freewnn ftp fxsr gcj gd gdb gdbm gif gimp gimpprint glx gmedia gnutls gpgme gpm graphviz gs gstreamer gtk gtk2 hal iconv ieee1394 imagemagick imlib immqt-bc ipppd isdnlog java joystick jpeg kerberos lame latex logitech-mouse lzo mad matroska mca mccp mce memlimit midi mikmod mime mjpeg mmx mmxext mng modplug mozdevelop mp3 mp4 mpeg mplayer msr mtrr mudflap multilib musepack ncurses nls nptl nptlonly nsplugin nv nvidia ogg openal opengl openmp oss pae pat pcre pdf perl pge plotutils png postscript pppd pse pse36 python qt3support quicktime readline realmedia reflection reiserfs rtc sblive sdl sep session simplexml sndfile sox speex spell spl sqlite sqlite3 sse sse2 ssl ssse3 startup-notification subtitles subversion svg syscall tcpd theora threads tiff tk toolkit-scroll-bars transcode truetype tsc type1 unicode usb utf8 vcd vme vorbis wma wmf wmp x264 xanim xfs xft xml xorg xpm xv xvid xvmc zlib" ALSA_CARDS="ice1712" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse joystick" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" USERLAND="GNU" VIDEO_CARDS="nv nvidia"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Jeroen Roovers (RETIRED) gentoo-dev 2008-06-10 08:40:14 UTC

*** This bug has been marked as a duplicate of bug 225605 ***
Comment 2 Andreas Klauer 2008-08-03 18:36:53 UTC
Created attachment 162144 [details]
emerge error log
Comment 3 Andreas Klauer 2008-08-03 18:38:57 UTC
The duplicate #225605 and the duplicate's duplicate #220779 have been resolved in the meantime, but emerge pdftk still fails (log attached). Unsure wether this is a bug with pdftk now or wether gcc is still at fault here. Reopening this bug just in case.
Comment 4 Jeroen Roovers (RETIRED) gentoo-dev 2008-08-04 15:52:20 UTC
It's a completely different bug, of course, but let's reuse it...
Comment 5 Christian Schwinn 2008-08-12 14:46:37 UTC
Same here:

Exception in thread "main" java.io.IOException: can't find class file java_local/security/Provider.class
Comment 6 Christian Schwinn 2008-08-14 09:44:25 UTC
Created attachment 162878 [details]
pdftk build log
Comment 7 Timo Gurr (RETIRED) gentoo-dev 2008-08-16 17:15:18 UTC
*** Bug 234786 has been marked as a duplicate of this bug. ***
Comment 8 Christian Schwinn 2008-09-05 08:58:50 UTC
Since pdftk compiles fine with gcc-4.2.4 I would say that it's definitely a bug in the gcc-4.3 series...
Comment 9 Christian Schwinn 2008-09-05 09:00:04 UTC
Sorry, a bug in GCJ in the GCC 4.3 series...
Comment 10 xerxes 2008-10-02 14:57:24 UTC
confirmed,
but after somme research i found this one http://gcc.gnu.org/ml/java/2008-03/msg00033.html
seems pdftk is bad programmed
Comment 11 ammar wk 2008-11-07 15:16:08 UTC
(In reply to comment #9)
> Sorry, a bug in GCJ in the GCC 4.3 series...
> 

yes, confirmed, at last switching to GCC 4.2.4, made it compiled
Comment 12 Christian Faulhammer (RETIRED) gentoo-dev 2008-12-06 11:38:54 UTC
Can we do something here?  Does anybody know if there is an open bug with GCC upstream?
Comment 13 Christian Faulhammer (RETIRED) gentoo-dev 2008-12-06 11:40:31 UTC
http://patch-tracking.debian.net/patch/series/view/pdftk/1.41-3/build_with_gcc-4.2

has some patches...maybe someone can verify if they help.
Comment 14 Andreas Klauer 2008-12-06 11:57:13 UTC
So far I have not found a patch that helps with the GCC 4.3 problem, according to Debian and GCC devs the problem lies with pdftk, and pdftk upstream seems to be dead. I moved on to app-text/pdfjam - it does not support half of what pdftk supported but it's better than nothing.

The only available solution for pdftk right now is to keep a copy of gcc-4.2 around just for it, or compile / install a static version of pdftk. It does not work with GCC 4.3 whatsoever and I'm not able to produce a patch myself and I haven't found any other patches using Google et al.
Comment 15 Peter Alfredsen (RETIRED) gentoo-dev 2008-12-17 21:43:47 UTC
treecleaners: Upstream dead, unlikely to ever compile with gcc-4.3, a job for you?
Comment 16 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2008-12-20 21:15:43 UTC
(In reply to comment #15)
> treecleaners: Upstream dead, unlikely to ever compile with gcc-4.3, a job for
> you?
> 

Handling in tracker bug 251796. thx
Comment 17 Vlastimil Babka (Caster) (RETIRED) gentoo-dev 2008-12-26 21:48:38 UTC
*** Bug 235645 has been marked as a duplicate of this bug. ***
Comment 18 Vlastimil Babka (Caster) (RETIRED) gentoo-dev 2008-12-26 21:49:39 UTC
Fixed in 1.41-r1, thanks to patches from bug 251796
Comment 19 Bill 2009-04-14 18:30:11 UTC
>>> Emerging (1 of 1) app-text/pdftk-1.41-r1
 * pdftk-1.41.tar.gz RMD160 SHA1 SHA256 size ;-) ...                     [ ok ]
 * checking ebuild checksums ;-) ...                                     [ ok ]
 * checking auxfile checksums ;-) ...                                    [ ok ]
 * checking miscfile checksums ;-) ...                                   [ ok ]
>>> cfg-update-1.8.2-r1: Skipping checksum index updating...
>>> Unpacking source...
>>> Unpacking pdftk-1.41.tar.gz to /var/tmp/portage/app-text/pdftk-1.41-r1/work
/var/tmp/portage/app-text/pdftk-1.41-r1/temp/environment: line 2138: bug: command not found
 * Applying pdftk-1.41-gcc-4.3.patch ...                                  [ ok ]
/var/tmp/portage/app-text/pdftk-1.41-r1/temp/environment: line 2140: bug: command not found
 * Applying pdftk-1.41-honor-ldflags.patch ...                            [ ok ]
>>> Source unpacked in /var/tmp/portage/app-text/pdftk-1.41-r1/work
>>> Configuring source in /var/tmp/portage/app-text/pdftk-1.41-r1/work/pdftk-1.41/pdftk ...
>>> Source configured.
>>> Compiling source in /var/tmp/portage/app-text/pdftk-1.41-r1/work/pdftk-1.41/pdftk ...
make -j4 -j1 -f Makefile.Generic 
make -C ../java_libs
make[1]: Entering directory `/var/tmp/portage/app-text/pdftk-1.41-r1/work/pdftk-1.41/java_libs'
make -C "/var/tmp/portage/app-text/pdftk-1.41-r1/work/pdftk-1.41/java_libs/com/lowagie/text";
make[2]: Entering directory `/var/tmp/portage/app-text/pdftk-1.41-r1/work/pdftk-1.41/java_libs/com/lowagie/text'
gcj -O2 -march=pentium-m -pipe -mfpmath=sse -w --encoding=UTF-8 --classpath="/var/tmp/portage/app-text/pdftk-1.41-r1/work/pdftk-1.41/java_libs" -c Anchor.java -o Anchor.o
gcj: error trying to exec 'ecj1': execvp: No such file or directory
make[2]: *** [Anchor.o] Error 1
make[2]: Leaving directory `/var/tmp/portage/app-text/pdftk-1.41-r1/work/pdftk-1.41/java_libs/com/lowagie/text'
make[1]: *** [itext] Error 2
make[1]: Leaving directory `/var/tmp/portage/app-text/pdftk-1.41-r1/work/pdftk-1.41/java_libs'
make: *** [java_libs] Error 2


# gcc-config -l
 [1] i686-pc-linux-gnu-4.3.2 *


# eix sys-devel/gcc
[I] sys-devel/gcc
     Available versions:  
	(2.95)	2.95.3-r9 ~2.95.3-r10!s
	(3.1)	3.1.1-r2
	(3.2)	**3.2.2!s 3.2.3-r4
	(3.3)	~3.3.6-r1!s
	(3.4)	3.4.6-r2!s
	(4.0)	~*4.0.4!s
	(4.1)	4.1.2!s
	(4.2)	~4.2.4-r1!s
	(4.3)	**4.3.0!s ~4.3.1!s ~4.3.1-r1!s ~4.3.2!s ~4.3.2-r2!s 4.3.2-r3!s ~4.3.3!s ~4.3.3-r2!s
	{altivec bootstrap boundschecking build d doc fixed-point fortran gcj gtk hardened ip28 ip32r10k java libffi mudflap multilib multislot n32 n64 nls nocxx nopie nossp objc objc++ objc-gc openmp static test vanilla}
     Installed versions:  4.3.2-r3(4.3)!s(23:03:45 04/07/09)(fortran gcj gtk mudflap nls openmp -altivec -bootstrap -build -doc -fixed-point -hardened -ip28 -ip32r10k -libffi -multilib -multislot -n32 -n64 -nocxx -nopie -objc -objc++ -objc-gc -test -vanilla)


# eselect ecj list
Available ECJ targets:
  [1]   ecj-3.4 *
  [2]   ecj-3.3
  [3]   ecj-3.2



pdftk still not compiling with gcc 4.3.2-r3..  please help!
Comment 20 Serkan Kaba (RETIRED) gentoo-dev 2009-04-26 04:28:05 UTC
*** Bug 264412 has been marked as a duplicate of this bug. ***
Comment 21 Andreas Klauer 2009-04-26 07:13:32 UTC
Wow, thank you so much for fixing this, very happy to have this back.
Compiles fine for me now on a ~amd64 system (gcc 4.3.3-r2, pdftk 1.41-r1).